Groovy Documentation

## org.codehaus.groovy.tools.shell
[Groovy] Class CommandsMultiCompletor

    java.lang.Object
      jline.MultiCompletor
          org.codehaus.groovy.tools.shell.CommandsMultiCompletor

    class CommandsMultiCompletor
    extends jline.MultiCompletor

Completor for interactive shells.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary
`protected Logger` | `log`

Property Summary
`java.util.List` | `list`

Method Summary
`int` | `complete(java.lang.String buffer, int pos, java.util.List cand)`
`java.lang.Object` | `leftShift(Command command)`
`void` | `refresh()`

Methods inherited from class jline.MultiCompletor

jline.MultiCompletor#setCompletors([Ljline.Completor;), jline.MultiCompletor#getCompletors(), jline.MultiCompletor#complete(java.lang.String, int, java.util.List), jline.MultiCompletor#wait(long), jline.MultiCompletor#wait(long, int), jline.MultiCompletor#wait(), jline.MultiCompletor#equals(java.lang.Object), jline.MultiCompletor#toString(), jline.MultiCompletor#hashCode(), jline.MultiCompletor#getClass(), jline.MultiCompletor#notify(), jline.MultiCompletor#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### log

    protected final Logger log

Property Detail

### list

    java.util.List list

Method Detail

### complete

    int complete(java.lang.String buffer, int pos, java.util.List cand)

### leftShift

    java.lang.Object leftShift(Command command)

### refresh

    void refresh()

Groovy Documentation